namespace ReflectiveRapidJSON {
namespace JsonReflector {

// define code for (de)serializing ReflectiveRapidJSON::JsonDeserializationError objects
template <> LIBREPOMGR_EXPORT void push<::ReflectiveRapidJSON::JsonDeserializationError>(const ::ReflectiveRapidJSON::JsonDeserializationError &reflectable, ::RAPIDJSON_NAMESPACE::Value::Object &value, ::RAPIDJSON_NAMESPACE::Document::AllocatorType &allocator)
{
    // push base classes
    // push members
    push(reflectable.kind, "kind", value, allocator);
    push(reflectable.expectedType, "expectedType", value, allocator);
    push(reflectable.actualType, "actualType", value, allocator);
    push(reflectable.record, "record", value, allocator);
    push(reflectable.member, "member", value, allocator);
    push(reflectable.index, "index", value, allocator);
}
} // namespace JsonReflector
} // namespace ReflectiveRapidJSON
